[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [rdiff-backup-users] Can anyone explain this error when running rdif

From: Andreas Olsson
Subject: Re: [rdiff-backup-users] Can anyone explain this error when running rdiff-backup from cron?
Date: Mon, 22 Nov 2010 22:35:59 +0100

mån 2010-11-22 klockan 13:41 +0000 skrev Chris G:
>     chris$ /usr/local/bin/rdiff-backup /home/isbd
>     address@hidden::backups/isbd
>     /usr/local/lib/python2.6/dist-packages/rdiff_backup/SetConnections.py:148:
>     DeprecationWarning: os.popen2 is deprecated.  Use the subprocess module.
>       stdin, stdout = os.popen2(remote_cmd)
>     Warning: Local version 1.2.8 does not match remote version 1.2.5.
> ...
> While I'm about it will moving to Version 1.3.3 get rid of all those
> warning messages?

Regarding the Deprecation Warning, see http://savannah.nongnu.org/bugs/?26064

A quick look at the 1.3.3 source suggests that the issue still remains.

Regarding the Warning about Version differences, you should be able to
hide that by modifying the level of verbosity. Based on
http://www.nongnu.org/rdiff-backup/FAQ.html#verbosity you might want to
go with -v1, once you are confidant in the backup working properly.

// Andreas

Attachment: signature.asc
Description: This is a digitally signed message part

reply via email to

[Prev in Thread] Current Thread [Next in Thread]